Package org.optaplanner.core.impl.score.stream.bavet.uni

## Class BavetScoringUniConstraintStream<Solution_,​A>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.common.AbstractConstraintStream<Solution_>
  - - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractConstraintStream<Solution_>
    - - org.optaplanner.core.impl.score.stream.bavet.uni.BavetAbstractUniConstraintStream<Solution_,​A>
      - - org.optaplanner.core.impl.score.stream.bavet.uni.BavetScoringUniConstraintStream<Solution_,​A>

- All Implemented Interfaces:
    `ConstraintStream`, `UniConstraintStream<A>`, `InnerUniConstraintStream<A>`

      public final class BavetScoringUniConstraintStream<Solution_,​A>
      extends BavetAbstractUniConstraintStream<Solution_,​A>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.uni.BavetAbstractUniConstraintStream

      `childStreamList`

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractConstraintStream

      `constraintFactory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BavetScoringUniConstraintStream​(BavetConstraintFactory<Solution_> constraintFactory, BavetAbstractUniConstraintStream<Solution_,​A> parent, BavetConstraint<Solution_> constraint)` |
    `BavetScoringUniConstraintStream​(BavetConstraintFactory<Solution_> constraintFactory, BavetAbstractUniConstraintStream<Solution_,​A> parent, BavetConstraint<Solution_> constraint, Function<A,​BigDecimal> bigDecimalMatchWeigher)` |
    `BavetScoringUniConstraintStream​(BavetConstraintFactory<Solution_> constraintFactory, BavetAbstractUniConstraintStream<Solution_,​A> parent, BavetConstraint<Solution_> constraint, ToIntFunction<A> intMatchWeigher)` |
    `BavetScoringUniConstraintStream​(BavetConstraintFactory<Solution_> constraintFactory, BavetAbstractUniConstraintStream<Solution_,​A> parent, BavetConstraint<Solution_> constraint, ToLongFunction<A> longMatchWeigher)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `createChildNodeChains​(BavetNodeBuildPolicy<Solution_> buildPolicy, Score<?> constraintWeight, int nodeOrder, BavetAbstractUniNode<A> node)` |
    `protected BavetScoringUniNode<A>` | `createNode​(BavetNodeBuildPolicy<Solution_> buildPolicy, Score<?> constraintWeight, int nodeOrder, BavetAbstractUniNode<A> parentNode)` |
    `List<BavetFromUniConstraintStream<Solution_,​Object>>` | `getFromStreamList()` |
    `String` | `toString()` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.uni.BavetAbstractUniConstraintStream

      `addChildStream, createNodeChain, filter, getCardinality, groupBy, groupBy, groupBy, groupBy, groupBy, groupBy, ifExists, ifNotExists, impactScore, impactScore, impactScoreBigDecimal, impactScoreConfigurable, impactScoreConfigurable, impactScoreConfigurableBigDecimal, impactScoreConfigurableLong, impactScoreLong, join, processNode`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractConstraintStream

      `buildConstraint, buildConstraintConfigurable, getConstraintFactory`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.common.AbstractConstraintStream

      `buildConstraintWeightExtractor, buildConstraintWeightExtractor, impact, penalize, penalizeConfigurable, reward, rewardConfigurable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.api.score.stream.ConstraintStream

      `getConstraintFactory, impact, impact, penalize, penalize, penalizeConfigurable, penalizeConfigurable, reward, reward, rewardConfigurable, rewardConfigurable`

    - ### Methods inherited from interface org.optaplanner.core.impl.score.stream.uni.InnerUniConstraintStream

      `impact, impactBigDecimal, impactConfigurable, impactConfigurableBigDecimal, impactConfigurableLong, impactLong, penalize, penalizeBigDecimal, penalizeConfigurable, penalizeConfigurableBigDecimal, penalizeConfigurableLong, penalizeLong, reward, rewardBigDecimal, rewardConfigurable, rewardConfigurableBigDecimal, rewardConfigurableLong, rewardLong`

    - ### Methods inherited from interface org.optaplanner.core.api.score.stream.uni.UniConstraintStream

      `ifExists, ifExists, ifExists, ifExists, ifExistsOther, ifExistsOther, ifExistsOther, ifExistsOther, ifExistsOther, ifExistsOther, ifNotExists, ifNotExists, ifNotExists, ifNotExists, ifNotExistsOther, ifNotExistsOther, ifNotExistsOther, ifNotExistsOther, ifNotExistsOther, ifNotExistsOther, impact, impactBigDecimal, impactConfigurable, impactConfigurableBigDecimal, impactConfigurableLong, impactLong, join, join, join, join, join, join, join, penalize, penalizeBigDecimal, penalizeConfigurable, penalizeConfigurableBigDecimal, penalizeConfigurableLong, penalizeLong, reward, rewardBigDecimal, rewardConfigurable, rewardConfigurableBigDecimal, rewardConfigurableLong, rewardLong`

- - ### Constructor Detail

    - #### BavetScoringUniConstraintStream

          public BavetScoringUniConstraintStream​(BavetConstraintFactory<Solution_> constraintFactory,
                                                 BavetAbstractUniConstraintStream<Solution_,​A> parent,
                                                 BavetConstraint<Solution_> constraint)

    - #### BavetScoringUniConstraintStream

          public BavetScoringUniConstraintStream​(BavetConstraintFactory<Solution_> constraintFactory,
                                                 BavetAbstractUniConstraintStream<Solution_,​A> parent,
                                                 BavetConstraint<Solution_> constraint,
                                                 ToIntFunction<A> intMatchWeigher)

    - #### BavetScoringUniConstraintStream

          public BavetScoringUniConstraintStream​(BavetConstraintFactory<Solution_> constraintFactory,
                                                 BavetAbstractUniConstraintStream<Solution_,​A> parent,
                                                 BavetConstraint<Solution_> constraint,
                                                 ToLongFunction<A> longMatchWeigher)

    - #### BavetScoringUniConstraintStream

          public BavetScoringUniConstraintStream​(BavetConstraintFactory<Solution_> constraintFactory,
                                                 BavetAbstractUniConstraintStream<Solution_,​A> parent,
                                                 BavetConstraint<Solution_> constraint,
                                                 Function<A,​BigDecimal> bigDecimalMatchWeigher)

  - ### Method Detail

    - #### getFromStreamList

          public List<BavetFromUniConstraintStream<Solution_,​Object>> getFromStreamList()

      Specified by:
        `getFromStreamList` in class `BavetAbstractConstraintStream<Solution_>`

    - #### createNode

          protected BavetScoringUniNode<A> createNode​(BavetNodeBuildPolicy<Solution_> buildPolicy,
                                                      Score<?> constraintWeight,
                                                      int nodeOrder,
                                                      BavetAbstractUniNode<A> parentNode)

      Specified by:
        `createNode` in class `BavetAbstractUniConstraintStream<Solution_,​A>`

    - #### createChildNodeChains

          protected void createChildNodeChains​(BavetNodeBuildPolicy<Solution_> buildPolicy,
                                               Score<?> constraintWeight,
                                               int nodeOrder,
                                               BavetAbstractUniNode<A> node)

      Overrides:
        `createChildNodeChains` in class `BavetAbstractUniConstraintStream<Solution_,​A>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`